<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="index.aspx.cs" Inherits="JumbotCms.WebFile.Tools.Mobile._index" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>手机号码归属地查询 | <%=site.Name%></title>
<meta name="keywords" content=", 手机号码归属地查询，陌生手机号码查询" />
<meta name="description" content=" , 准确判断陌生来电所在地区,手机号码所在地区查询，输入手机号即可知道用户所在的地区" />
<script type="text/javascript">
var TOOL_URL = '';
var CATE_ID ='';
var MY_TOOLS_COOKIE = 'tools_my';
</script>
<link type="text/css" rel="stylesheet" href="/themes/default/css/global.css" id="cssTheme" />
<link type="text/css" rel="stylesheet" href="/static/css/global.css" />
<script type="text/javascript" src="/_libs/jquery.tools.pack.js"></script>
<script type="text/javascript" src="/_data/jcmsV4.x.js"></script>
<link type="text/css" rel="stylesheet" href="/_data/jcmsV4.x.css" />
<script src="/static/js/common.js?v=20100531" type="text/javascript"></script>
<link type="text/css" rel="stylesheet" href="/static/tools/mobile/mobile.css" />
<script type="text/javascript">	
var MobileCheck = function(pNumber){
    var result = Public.ValidateMoblie(pNumber.trim());
    if(result == 1){
        Sidebar_History.Set(pNumber);
        return true;
    }
    else{
        alert("请输入正确手机号");
        return false;
    }
}
var CopyResult = function(){
    var top = document.getElementById("js_top_table").innerHTML;
    var foot = document.getElementById("js_foot_table").innerHTML;
    var r = top.replace(/<\/tr\s*\/?>/ig,'#').replace(/[\n|\s]*<[^>]*>/ig,'').replace(/#/ig,"\r\n");
    r += foot.replace(/<\/tr\s*\/?>/ig,'#').replace(/[\n|\s]*<[^>]*>/ig,'').replace(/#/ig,"\r\n");
    r=window.location+"\r\n以下内容由<%=site.Name%>提供：\r\n"+r;
    Public.Copy(r);
}

var priceModel;
var numInput;
var oldText;
var cdmaReg = /^((133|153|180|189)\d{4,8})|(1349\d{7})$/;
var cnccReg = /^((13[5-9]|15[0|1|2|7|8|9]|18[2|7|8]|147)\d{4,8})|(134[0-8]\d{7})$/;

$(document).ready(function() {
new tab_content(
        [
        {TabId:"mobile_yd_btn",ContentId:"mobile_yd"},
        {TabId:"mobile_dx_btn",ContentId:"mobile_dx"},
        {TabId:"mobile_lt_btn",ContentId:"mobile_lt"}],"active"
    );
});
    </script>
</head>
<body>
<div class="jbody">
<!--#include virtual="/_data/html/header2.htm" -->
<div id="main" class="clearfix">
  <div class="col-main">
    <form action="/tools/mobile/" class="form-search js_search_form" method="get" onsubmit="return MobileCheck(document.getElementById('search_input').value);">
      <label class="form-search-col" for="search_input"> 请输入手机号码：</label>
      <div class="search_area">
        <input type="hidden" class="js_tool_url" value="/tools/mobile/?k=" />
        <input id="search_input" type="text" name="k" value="<%=Mobile %>" class="text js_keyword_box" />
        <br />
        <span class="search-tips js_query_eg"></span> </div>
      <input type="submit" class="search_submit" value="查询" />
    </form>
    <form id="form1" runat="server">

      <div id="info_box" class="box-base" runat="server">
        <div class="box-hd">
          <h3 class="box-t-l"> 查询结果</h3>
          <span class="box-t-link link" onclick="CopyResult();"></span> </div>
              <div id="result"> <asp:Image ID="pic" runat="server" />
          <table class="tb-result" id="js_top_table">
            <tr>
              <th> 手机号段： </th>
              <td><asp:Label ID="lblMobile" runat="server" Text=""></asp:Label> </td>
            </tr>
            <tr>
              <th> 手机归属： </th>
              <td><asp:Label ID="lblCardArea" runat="server" Text=""></asp:Label> </td>
            </tr>
            <tr>
              <th> 卡类型： </th>
              <td><asp:Label ID="lblCardType" runat="server" Text=""></asp:Label></td>
            </tr>
          </table>
        </div>
      </div>
    </form>
  </div>
  <div class="col-sub">
    <script type="text/javascript">
var Sidebar_History = {};
Sidebar_History.Key = "live_mobile";

Sidebar_History.ClearHistory = function(pBoxId,pKey){
	Public.History.Clear(pKey);
	this.DisplayHistory(pBoxId,pKey);
}

Sidebar_History.Set = function(value){
	Public.History.Set(Sidebar_History.Key,value);
	Sidebar_History.DisplayHistory("js_history_box",Sidebar_History.Key);
}

Sidebar_History.DisplayHistory = function(pBoxId,pKey){
	var box = document.getElementById(pBoxId);
	var strCol = Public.History.Get(pKey);
	var html = "";
	if(strCol.length > 0){
		for(var i = strCol.length - 1; i > -1; i--){
			if(Sidebar_History.ClickHandler){
				html += "<li><a href=\"javascript:\/\/\" onclick=\"Sidebar_History.ClickHandler($(this).attr('title'))\" title=\""+strCol[i]+"\">" + Public.String.Cut(strCol[i],25) + "</a></li>";
			}
			else{
				html += "<li><a href=\"javascript:\/\/\">" + Public.String.Cut(strCol[i],25) + "</a></li>";
			}
		}
	}
	else{
		html += "<li><span>暂无查询记录</span></li>";
	}
	box.innerHTML = "";
	box.innerHTML = html;
}

$(document).ready(function(){
	if(Sidebar_History.Key != ""){
		Sidebar_History.DisplayHistory("js_history_box",Sidebar_History.Key);
		$("#js_clear_history_box").bind("click",function(){
			Sidebar_History.ClearHistory("js_history_box",Sidebar_History.Key);
		});
	}
});
        </script>
    <div id="my_record" class="box-base">
      <div class="box-hd">
        <h3 class="box-t-s"> 我的查询历史</h3>
        <span class="ico-del" id="js_clear_history_box">删除记录</span> </div>
      <ul id="js_history_box">
      </ul>
    </div>
    <!--#include virtual="/_data/html/tools_nav.htm" -->
  </div>
</div>
<!--#include virtual="/_data/html/footer.htm" -->
</div>
<script type="text/javascript">get_user_status(0);</script>
</body>
</html>
